{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 11-08-2002
  Versión actual: 1.0.1
  Fecha versión actual: 22-03-2003
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    22-03-2003    Se han puesto componentes con calendario.
===============================================================================
}

unit FinalizarObra;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxFrame, RdxDBFrame, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxCheckBox,
  StdCtrls, RdxCampos, RdxTitulos, Configuracion, cxControls, cxContainer, cxEdit, cxTextEdit,
  cxMaskEdit, cxDropDownEdit, cxCalendar;

type
  TfrFinalizarObra = class(TRdxFrame)
    brOperacion: TRdxBarraInferior;
    bGuardar: TRdxBoton;
    bCancelar: TRdxBoton;
    Panel: TRdxPanel;
    eInformacion: TLabel;
    eFechaCierre: TLabel;
    FechaCierre: TcxDateEdit;
    procedure bGuardarClick(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
  public
    CodigoObra : Integer;
    constructor Create (AOwner : TComponent); override;
  end;

var
  frFinalizarObra: TfrFinalizarObra;

implementation

{$R *.DFM}

uses
  BaseDatos, TablaArticulosAlmacen, Tipos, RdxEmpresaActiva;

{ TfrFinalizarObra }

procedure TfrFinalizarObra.bGuardarClick(Sender: TObject);
begin
  if dmTablaArticulosAlmacen.FinalizarObra(EmpresaActiva.Codigo, CodigoObra, FechaCierre.Text) then
    dmBaseDatos.Commit
  else
    dmBaseDatos.Rollback;

  CloseFrame;
end;

procedure TfrFinalizarObra.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

constructor TfrFinalizarObra.Create(AOwner: TComponent);
begin
  inherited;
  FechaCierre.Date := Date;
end;

end.
